summaryrefslogtreecommitdiff
path: root/nsswitch/tests
diff options
context:
space:
mode:
Diffstat (limited to 'nsswitch/tests')
-rwxr-xr-xnsswitch/tests/test_wbinfo_simple.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/nsswitch/tests/test_wbinfo_simple.sh b/nsswitch/tests/test_wbinfo_simple.sh
new file mode 100755
index 00000000000..dc90ddcadf0
--- /dev/null
+++ b/nsswitch/tests/test_wbinfo_simple.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_wbinfo_simple.sh <wbinfo args>
+EOF
+exit 1;
+fi
+
+ADDARGS="$*"
+
+incdir=`dirname $0`/../../testprogs/blackbox
+. $incdir/subunit.sh
+
+testit "wbinfo" $VALGRIND $BINDIR/wbinfo $ADDARGS || failed=`expr $failed + 1`
+
+testok $0 $failed